%define upstream_name    Class-MOP
%define upstream_version 0.94

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 1

Summary:        A Meta Object Protocol for Perl 5
License:        GPL+ or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl-devel
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Sub::Name)
BuildRequires:  perl(Sub::Identify)
BuildRequires:  perl(MRO::Compat)
BuildRequires:  perl(Devel::GlobalDestruction)
Requires:       perl(Devel::GlobalDestruction)
Requires:       perl(Sub::Identify)
Requires:       perl(MooseX::Traits)
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

%description
This module is an attempt to create a meta object protocol for the Perl 5
object system. It makes no attempt to change the behavior or characteristics of
the Perl 5 object system, only to create a protocol for its manipulation and
introspection.

That said, it does attempt to create the tools for building a rich set of
extensions to the Perl 5 object system. Every attempt has been made for these
tools to keep to the spirit of the Perl 5 object system that we all know and
love.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/Class
%{perl_vendorarch}/auto/Class
%{perl_vendorarch}/metaclass.pm
%{_mandir}/*/*



%changelog
* Wed Sep 23 2009 Jérôme Quelin <jquelin@mandriva.org> 0.940.0-1mdv2010.0
+ Revision: 447608
- update to 0.94

* Wed Sep 16 2009 Jérôme Quelin <jquelin@mandriva.org> 0.930.0-1mdv2010.0
+ Revision: 443478
- update to 0.93

* Fri Aug 28 2009 Michael Scherer <misc@mandriva.org> 0.920.0-2mdv2010.0
+ Revision: 422008
- add missing Requires ( not found by autoreq, as this is dynamically loaded )

* Thu Aug 20 2009 Jérôme Quelin <jquelin@mandriva.org> 0.920.0-1mdv2010.0
+ Revision: 418640
- update to 0.92

* Thu Jul 23 2009 Jérôme Quelin <jquelin@mandriva.org> 0.900.0-1mdv2010.0
+ Revision: 398844
- update to 0.90

* Mon Jul 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.890.0-1mdv2010.0
+ Revision: 392691
- update to 0.89
- using %%perl_convert_version
- fixed license field

* Thu Jun 25 2009 Jérôme Quelin <jquelin@mandriva.org> 0.88-1mdv2010.0
+ Revision: 388914
- update to new version 0.88

* Tue Jun 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.87-1mdv2010.0
+ Revision: 388674
- update to new version 0.87

* Mon Jun 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.85-1mdv2010.0
+ Revision: 383956
- update to new version 0.85

* Sat May 02 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.83-1mdv2010.0
+ Revision: 370496
- update to new version 0.83

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.80-1mdv2010.0
+ Revision: 370042
- update to new version 0.80

* Thu Feb 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.78-1mdv2009.1
+ Revision: 345118
- update to new version 0.78
- rebuild

* Sun Feb 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.77-1mdv2009.1
+ Revision: 340537
- update to new version 0.77

* Fri Jan 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.76-1mdv2009.1
+ Revision: 332841
- update to new version 0.76

* Mon Jan 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.75-1mdv2009.1
+ Revision: 324971
- update to new version 0.75

* Tue Dec 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.74-1mdv2009.1
+ Revision: 321297
- update to new version 0.74

* Wed Dec 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.73-1mdv2009.1
+ Revision: 318267
- update to new version 0.73

* Fri Dec 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.72-1mdv2009.1
+ Revision: 313585
- new release

* Fri Nov 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.71-1mdv2009.1
+ Revision: 307395
- update to new version 0.71

* Thu Nov 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.70-1mdv2009.1
+ Revision: 307246
- update to new version 0.70

* Tue Nov 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.69-1mdv2009.1
+ Revision: 302125
- update to new version 0.69

* Sat Oct 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.68-1mdv2009.1
+ Revision: 297166
- update to new version 0.68

* Tue Oct 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.67-2mdv2009.1
+ Revision: 296113
- fix dependencies

* Tue Oct 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.67-1mdv2009.1
+ Revision: 296045
- new version

* Tue Sep 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.65-1mdv2009.0
+ Revision: 279147
- update to new version 0.65

* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.64-1mdv2009.0
+ Revision: 270345
- update to new version 0.64

* Thu Jul 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.63-1mdv2009.0
+ Revision: 233372
- update to new version 0.63

* Mon Jun 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.62-1mdv2009.0
+ Revision: 227968
- update to new version 0.62

* Mon Jun 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.61-1mdv2009.0
+ Revision: 220135
- update to new version 0.61

* Fri May 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.58-1mdv2009.0
+ Revision: 213316
- update to new version 0.58

* Thu May 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.57-2mdv2009.0
+ Revision: 212964
- fix dependencies

* Wed May 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.57-1mdv2009.0
+ Revision: 212814
- new version

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdv2009.0
+ Revision: 201934
- fix build dependency
- update to new version 0.55

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.54-1mdv2009.0
+ Revision: 193753
- update to new version 0.54

* Fri Feb 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.53-1mdv2008.1
+ Revision: 168840
- update to new version 0.53
- update to new version 0.53

* Fri Jan 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.52-1mdv2008.1
+ Revision: 158105
- update to new version 0.52

* Tue Jan 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.51-1mdv2008.1
+ Revision: 152991
- update to new version 0.51

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rebuild for perl-5.10.0

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.50-1mdv2008.1
+ Revision: 136775
- update to new version 0.50

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.49-1mdv2008.1
+ Revision: 120759
- new version

* Tue Nov 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.48-1mdv2008.1
+ Revision: 113406
- update to new version 0.48

* Mon Nov 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.47-1mdv2008.1
+ Revision: 112413
- update to new version 0.47

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.45-1mdv2008.1
+ Revision: 109579
- new version

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.42-1mdv2008.0
+ Revision: 75213
- import perl-Class-MOP


* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.42-1mdv2008.0
- first mdv relase
